#import "template.typ": *

#set page(
  paper: "a6",
  margin: (x: 0.5cm, y: 0.5cm),
)
#set text(
  font: "MonaspiceNe NF",
  size: 5pt
)
#set par(
  justify: true,
  leading: 0.52em,
)

#chunk((
  align(center)[
    #text(size: 10pt, weight: "bold")[NICK HIEBERT]
  ],
  align(center)[
    #grid(
      columns: (auto, auto, auto),
      gutter: 1em,
      align: horizon,
      contact(
        prefix: "tel:",
        entry: "12049986746",
        display: "1-204-998-6746",
        icon: "assets/phone.svg"
      ),
      contact(
        prefix: "mailto:",
        entry: "nick@upRootNutrition.com",
        display: "nick@upRootNutrition.com",
        icon: "assets/email.svg"
      ),
      contact(
        prefix: "",
        entry: "https://gitlab.com/upRootNutrition",
        display: "gitlab.com/upRootNutrition",
        icon: "assets/gitlab.svg"
      )
    )
  ],
  divider("ABOUT ME"),
  text("I am a former student of Human Nutritional Science at the University of Manitoba, and nutrition is my foremost passion. However, I have acquired a diverse range of skills and interests over the years that I pursue with persistence and enthusiasm. I discovered a love for programming when I switched from Windows to NixOS, an operating system that must be configured with the purely functional programming language, Nix. I have since taught myself Elm and Typst, and am currently working to gain proficiency with Haskell."),
  divider("EXPERIENCE"),
  job(
      company: "upRootNutrition",
      title: "Content Creator, Programmer",
      dates: "2018 - Present",
      location: "Winnipeg, MB",
      details: (
        "Develop evidence-based content related to nutrition science.",
        "Conduct in-depth investigations into nutrition science for clients.",
        "Mentor clients on research methodologies and interpretation."
      )
    ),
  divider("PROJECTS"),
  project(
    title: "upRootNutrition",
    entry: "https://source.uprootnutrition.com/upRootNutrition/website",
    lines: "35,650",
    lang: (
      "assets/elm.svg",
      "assets/javascript.svg",
      "assets/html.svg",
      "assets/css.svg",
      "assets/nix.svg"
    ),
    description: "upRootNutrition is an open source project created by Nick Hiebert, designed to elevate the quality of nutrition science communication in online discourse. By applying more rigorous systems of reasoning, such as formal logic and semantic analysis, upRootNutrition aims to cut through the misinformation and sophistry that are endemic on social media."
  ),
  project(
    title: "NixOS Dotfiles",
    entry: "https://source.uprootnutrition.com/upRootNutrition/dotfiles",
    lines: "20,903",
    lang: (
      "assets/nix.svg",
      "assets/bash.svg",
      "assets/css.svg",)
  ),
  project(
    title: "This Resume",
    entry: "https://source.uprootnutrition.com/upRootNutrition/resume",
    lang: (
      "assets/typst.png",
      "assets/nix.svg")
  ),
  project(
    title: "Homelab",
    entry: "https://source.uprootnutrition.com/upRootNutrition/dotfiles/src/branch/main/modules/nixos/services",
    lines: "35,650",
    lang: (
      "assets/nix.svg",)
  ),
  divider("EDUCATION"),
  list((
    edu(
      institute: "University of Manitoba",
      cert: "Human Nutritional Science",
      year: "2011"
    ),
    edu(
      institute: "Studio 11 Inc",
      cert: "Audio Production",
      year: "2008"
    )
  ))
))
