#let chunk(content) = {
  stack(
    spacing: 1.5em,
    ..content
  )
}

#let list(content) = {
  stack(
    spacing: 0.75em,
    ..content
  )
}

#let contact(prefix: "", entry: "", display: "", icon: "") = {
  let url = prefix + entry
    grid(
      columns: (auto, auto),
      gutter: 0.2em,
      image(icon, height: 1em),
      link(url)[#display]
    )
}

#let divider(title) = {
  pad(y: 0.5em)[
    #grid(
      columns: (1fr, auto, 1fr),
      column-gutter: 1em,
      align: (horizon, horizon, horizon),
      line(length: 100%, stroke: 0.5pt),
      text(size: 8pt, weight: "bold")[#title],
      line(length: 100%, stroke: 0.5pt)
    )
  ]
}

#let job(
  company: "",
  title: "",
  dates: "",
  location: "",
  details: ()
) = {
  block(spacing: 0.75em)[
    #stack(
      spacing: 0.75em,
      [
        #grid(
          columns: (1fr, auto),
          align(left)[#text(weight: "bold")[#company, #location]],
          align(right)[#text(style: "italic")[#title]]
        )
      ],
      [#dates],
      [
        #pad(left: 1.5em)[
          #list(details.map(detail => [• #detail]))
        ]
      ]
    )
  ]
}

#let project(
  title: "",
  entry: "",
  lines: "",
  description: "",
  lang: (),
) = {
  block(spacing: 0.75em)[
    #stack(
      spacing: 0.75em,
      [#grid(
        columns: (1fr, auto),
        link(entry)[#text(weight: "bold")[#title]],
        box(grid(
          columns: (auto,) * lang.len(),
          align: (right,) * lang.len(),
          gutter: 2pt,
          ..lang.map(icon => image(icon, height: 1.5em))
        )
        ),
        )],
      [#text()[#description]]
    )
  ]
}

#let edu(
  institute: "",
  cert: "",
  year: ""
) = {
  block(spacing: 0.75em)[
    #stack(
    spacing: 0.75em,
    [
      #grid(
        columns: (1fr, auto),
        text(weight: "bold")[#institute],
        text(style: "italic")[#cert, #year]
      )
    ]
    )
  ]
}
